Name: antimicro
Version: 2.23
Release: %mkrel 1
Summary: Graphical program used to map keyboard buttons and mouse controls to a gamepad
License: GPLv3+
Packager: Agent Smith <ruidobranco@yahoo.com.br>
Group: System/Configuration/Hardware
Url: https://github.com/AntiMicro/antimicro
Source: %name-%version.tar.xz

BuildRequires: cmake 
BuildRequires: gcc-c++
BuildRequires: desktop-file-utils
BuildRequires: lib64x11-devel
BuildRequires: lib64xtst-devel
BuildRequires: lib64qt4-devel
BuildRequires: lib64sdl2.0-devel
# for appdata
BuildRequires: lib64appstream-glib1
BuildRequires: itstool
BuildRequires: gettext
BuildRoot:     %{_tmppath}/%{name}-%{version}

%description
AntiMicro is a graphical program used to map keyboard keys and
mouse controls to a gamepad. This program is useful for playing
PC games using a gamepad that do not have any form of built-in
gamepad support. AntiMicro was inspired by QJoyPad but has
additional features.

%prep
%setup -q 


%build
%cmake_qt4


%make


%install
rm -rf %buildroot
%makeinstall_std -C build

# install and verify desktop file
%_bindir/desktop-file-install other/%name.desktop


%find_lang %{name} 

%clean

rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files -f %name.lang
%doc Changelog gpl.txt README.md
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/translations/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/mime/packages/%{name}.xml
%{_mandir}/man1/%{name}.1*



%changelog
* Mon Feb 5 2018 Agent Smith <ruidobranco@yahoo.com.br> 2.23-1pclos2018
- Created package antimicro-2.23-1pclos2018
